export const cachedResults: LRUCache<{}, {}, unknown>;
export function preProcess(value: string, opt?: {
    customProperty?: object;
    dimension?: object;
}): string | null;
export function numberToHex(value: number): string;
export function colorToHex(value: string, opt?: {
    alpha?: boolean;
    customProperty?: object;
    dimension?: object;
}): string | null;
export function colorToHsl(value: string, opt?: {
    customProperty?: object;
    dimension?: object;
}): Array<number>;
export function colorToHwb(value: string, opt?: {
    customProperty?: object;
    dimension?: object;
}): Array<number>;
export function colorToLab(value: string, opt?: {
    customProperty?: object;
    dimension?: object;
}): Array<number>;
export function colorToLch(value: string, opt?: {
    customProperty?: object;
    dimension?: object;
}): Array<number>;
export function colorToOklab(value: string, opt?: {
    customProperty?: object;
    dimension?: object;
}): Array<number>;
export function colorToOklch(value: string, opt?: {
    customProperty?: object;
    dimension?: object;
}): Array<number>;
export function colorToRgb(value: string, opt?: {
    customProperty?: object;
    dimension?: object;
}): Array<number>;
export function colorToXyz(value: string, opt?: {
    customProperty?: object;
    d50?: object;
    dimension?: object;
}): Array<number>;
export function colorToXyzD50(value: string, opt?: {
    customProperty?: object;
    dimension?: object;
}): Array<number>;
export namespace convert {
    export { colorToHex };
    export { colorToHsl };
    export { colorToHwb };
    export { colorToLab };
    export { colorToLch };
    export { colorToOklab };
    export { colorToOklch };
    export { colorToRgb };
    export { colorToXyz };
    export { colorToXyzD50 };
    export { numberToHex };
}
import { LRUCache } from 'lru-cache';
